Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 613459 - SELinux is preventing /usr/lib64/firefox-3.6/firefox "execute_no_trans" access on /usr/lib64/xulrunner-1.9.2/plugin-container.
SELinux is preventing /usr/lib64/firefox-3.6/firefox "execute_no_trans" acces...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
14
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:e86dcb3c056...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-11 15:17 EDT by Mike Bonnet
Modified: 2010-11-03 11:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-03 11:54:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Bonnet 2010-07-11 15:17:19 EDT
Summary:

SELinux is preventing /usr/lib64/firefox-3.6/firefox "execute_no_trans" access
on /usr/lib64/xulrunner-1.9.2/plugin-container.

Detailed Description:

SELinux denied access requested by firefox. It is not expected that this access
is required by firefox and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:sandbox_web_client_t:s0:
                              c181,c330
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib64/xulrunner-1.9.2/plugin-container [ file
                              ]
Source                        firefox
Source Path                   /usr/lib64/firefox-3.6/firefox
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           firefox-3.6.4-1.fc13
Target RPM Packages           xulrunner-1.9.2.4-1.fc13
Policy RPM                    selinux-policy-3.7.19-33.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.12-115.fc12.x86_64 #1
                              SMP Fri Apr 30 19:46:25 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Sun 11 Jul 2010 03:13:29 PM EDT
Last Seen                     Sun 11 Jul 2010 03:13:29 PM EDT
Local ID                      6a544d3b-c06b-43e4-bb21-11b5f5e0b2d7
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1278875609.571:215): avc:  denied  { execute_no_trans } for  pid=9517 comm="firefox" path="/usr/lib64/xulrunner-1.9.2/plugin-container" dev=dm-1 ino=139612 scontext=unconfined_u:unconfined_r:sandbox_web_client_t:s0:c181,c330 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1278875609.571:215): arch=c000003e syscall=59 success=no exit=-13 a0=7f5af43129d8 a1=7f5af47eca60 a2=7f5b08429f50 a3=7f5b0d1fe640 items=0 ppid=9473 pid=9517 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="firefox" exe="/usr/lib64/firefox-3.6/firefox" subj=unconfined_u:unconfined_r:sandbox_web_client_t:s0:c181,c330 key=(null)



Hash String generated from  catchall,firefox,sandbox_web_client_t,lib_t,file,execute_no_trans
audit2allow suggests:

#============= sandbox_web_client_t ==============
allow sandbox_web_client_t lib_t:file execute_no_trans;
Comment 1 Mike Bonnet 2010-07-11 15:28:19 EDT
Firefox 3.6.4 added a plugin-container helper app to run specific plugins (only flash at the moment, I believe) out-of-process.  More information is available here:

http://support.mozilla.com/en-US/kb/What+is+plugin-container

Firefox running in a the sandbox needs to be able to execute this helper to allow flash to run.

$ ls -laZ /usr/lib64/xulrunner-1.9.2/plugin-container
-rwxr-xr-x. root root system_u:object_r:lib_t:s0       /usr/lib64/xulrunner-1.9.2/plugin-container

It should probably get its own type.
Comment 2 Bug Zapper 2010-07-30 08:31:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Daniel Walsh 2010-08-19 07:03:34 EDT
Added type in  selinux-policy-3.8.8-17.fc14

Note You need to log in before you can comment on or make changes to this bug.